You are not logged in.

#1 2018-05-19 12:40:28

sinqbad
Member
Registered: 2016-01-27
Posts: 21

Trying to install linux-rt-lts, getting errors: cannot stat

I'm trying to install (with pacaur) linux-rt-lts but I get this error. I've tried googling the errors but the only links I get is the aur with people having the same issue.

  CHK     include/config/kernel.release
  CHK     include/generated/uapi/linux/version.h
  CHK     include/generated/utsrelease.h
  CHK     include/generated/bounds.h
  CHK     include/generated/timeconst.h
  CHK     include/generated/asm-offsets.h
  CALL    scripts/checksyscalls.sh
  DESCEND  objtool
  CC       /home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/objtool/pager.o
pager.c: In function ‘pager_preexec’:
pager.c:35:12: error: passing argument 2 to restrict-qualified parameter aliases with argument 4 [-Werror=restrict]
  select(1, &in, NULL, &in, NULL);
            ^~~        ~~~
cc1: all warnings being treated as errors
mv: cannot stat '/home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/objtool/.pager.o.tmp': No such file or directory
make[4]: *** [/home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/build/Makefile.build:102: /home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/objtool/pager.o] Error 1
make[3]: *** [Makefile:45: /home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/objtool/libsubcmd-in.o] Error 2
make[2]: *** [Makefile:59: /home/paddy/.cache/pacaur/linux-rt-lts/src/linux-4.9/tools/objtool/libsubcmd.a] Error 2
make[1]: *** [Makefile:60: objtool] Error 2
make: *** [Makefile:1623: tools/objtool] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
:: failed to build linux-rt-lts package(s)

Offline

#2 2018-05-19 16:20:54

philo
Member
From: indoors
Registered: 2015-01-26
Posts: 66

Re: Trying to install linux-rt-lts, getting errors: cannot stat

This is an AUR  issue, not a Newbie isssue.

If you build that package yourself  with makepkg what errors, if any,  do you get?

You could also submit your problem on the AUR page of the package .

Last edited by philo (2018-05-19 17:33:38)

Offline

#3 2018-05-20 03:27:11

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 15,804

Re: Trying to install linux-rt-lts, getting errors: cannot stat

Moving to AUR Issues


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Online

Board footer

Powered by FluxBB